curl --request POST \
--url https://api.parallellabs.app/api/v0/brand-kits \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"companyId": "<string>",
"brandKit": {}
}
'import requests
url = "https://api.parallellabs.app/api/v0/brand-kits"
payload = {
"companyId": "<string>",
"brandKit": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({companyId: '<string>', brandKit: {}})
};
fetch('https://api.parallellabs.app/api/v0/brand-kits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"msg": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Create or update a brand kit.
Authorizations
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Body
Brand kit data
Request body for saving a brand kit
Company ID
Brand kit data object with fields: id (optional for create), name (required), description, images (array of {url, key, width, height, fileSize, mimeType, type}), imageModels (array of preferred AI image generation models), imageStylePrompt (canvas style prompt: brand colors, typography, layout, mood), imageCreationMode (how content images are produced: ai_image or canvas), canvasTools (array of imagery tools the canvas agent may use: ai_images, stock_images; empty = typography only), templates (array of {id, url, name, description, width, height} for PNG overlay templates), and the landing-page/website assets: webArtifacts ({favicon, logo, images}), globalStyles (CSS), headScripts, brandGuidelines, landingPageId, isDefault

